## ceilometer 11.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

cachetools>=1.1.0 # MIT License
cotyledon>=1.3.0 #Apache-2.0
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
futurist>=0.11.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
jsonpath-rw-ext>=0.1.9 # Apache-2.0
lxml>=2.3 # BSD
monotonic
msgpack>=0.4.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.22.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
oslo.messaging>=5.12.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.3 # BSD
python-glanceclient>=2.0.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
python-neutronclient>=4.2.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-cinderclient>=1.6.0,!=1.7.0,!=1.7.1  # Apache-2.0
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.9.0 # Apache-2.0
tenacity>=3.2.1  # Apache-2.0
tooz[zake]>=1.47.0 # Apache-2.0
os-xenapi>=0.1.1 # Apache-2.0

=== debian/changelog ===
ceilometer (1:11.0.1-5) unstable; urgency=high

  * CVE-2019-3830: ceilometer-agent prints sensitive data from config files
    through log files. Applied upstream patch: Only print polling.yaml file
    contents as DEBUG (Closes: #925298).

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Apr 2019 00:23:32 +0200

ceilometer (1:11.0.1-4) unstable; urgency=medium

  * Add missing /etc/ceilometer/polling.yaml file.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Jan 2019 15:37:53 +0100

ceilometer (1:11.0.1-3) unstable; urgency=medium

  * Removed mongodb build-depends (Closes: #919088).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Jan 2019 11:33:54 +0100

ceilometer (1:11.0.1-2) unstable; urgency=medium

  * Drop ceilometer-alarm-{evaluator,notifier} transition packages.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Jan 2019 16:29:26 +0100

ceilometer (1:11.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Dec 2018 17:38:01 +0100

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 75~),
 po-debconf,
 python3-all,
 python3-pbr (>= 1.8),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 python3-awsauth,
 python3-cachetools,
 python3-ceilometerclient (>= 2.2.1),
 python3-cinderclient (>= 1:1.6.0),
 python3-cotyledon (>= 1.3.0),
 python3-coverage <!nocheck>,
 python3-debtcollector (>= 1.2.0),
 python3-fixtures <!nocheck>,
 python3-futurist (>= 0.11.0),
 python3-gabbi (>= 1.30.0),
 python3-glanceclient (>= 1:2.0.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-jsonpath-rw-ext (>= 0.1.9),
 python3-keystoneauth1 (>= 2.1.0),
 python3-keystoneclient (>= 1:1.6.0),
 python3-kombu,
 python3-lxml,
 python3-mock,
 python3-monotonic,
 python3-msgpack (>= 0.4.0),
 python3-mysqldb,
 python3-neutronclient (>= 1:4.2.0),
 python3-novaclient (>= 2:2.29.0),
 python3-openssl,
 python3-openstackdocstheme (>= 1.11.0),
 python3-os-api-ref (>= 0.1.0),
 python3-os-win (>= 0.2.3),
 python3-os-xenapi,
 python3-oslo.cache (>= 1.5.0),
 python3-oslo.concurrency (>= 3.5.0),
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 2.0.0),
 python3-oslo.messaging (>= 5.12.0),
 python3-oslo.reports (>= 1.0.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.utils (>= 3.5.0),
 python3-oslo.vmware (>= 1.16.0),
 python3-oslotest (>= 1:2.15.0),
 python3-pastedeploy,
 python3-psycopg2 (>= 2.5),
 python3-pymongo (>= 3.0.2),
 python3-pymysql,
 python3-pysnmp4,
 python3-requests (>= 2.8.1),
 python3-six (>= 1.9.0),
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-stestr <!nocheck>,
 python3-stevedore (>= 1.9.0),
 python3-swiftclient (>= 1:2.2.0),
 python3-tempest (>= 1:12.1.0) <!nocheck>,
 python3-tenacity (>= 3.2.1),
 python3-testscenarios <!nocheck>,
 python3-testtools (>= 1.4.0) <!nocheck>,
 python3-tooz (>= 1.47.0),
 python3-webtest (>= 2.0) <!nocheck>,
 python3-werkzeug,
 python3-yaml,
 python3-zaqarclient,
 subunit <!nocheck>,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ceilometer
Vcs-Git: https://salsa.debian.org/openstack-team/services/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - agent central
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ipmitool,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - IPMI agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the IPMI agent daemon.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - notification agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent daemon.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 ceilometer-api,
 ceilometer-collector,
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: ceilometer-polling
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 mongodb,
Description: OpenStack efficient metering counters system - Polling agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python3-ceilometer
Section: python
Architecture: all
Depends:
 libjs-jquery,
 python3-cachetools,
 python3-ceilometerclient (>= 2.2.1),
 python3-cinderclient,
 python3-cotyledon (>= 1.3.0),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 0.11.0),
 python3-glanceclient (>= 1:2.0.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-greenlet,
 python3-jsonpath-rw-ext (>= 0.1.9),
 python3-keystoneauth1 (>= 2.1.0),
 python3-keystoneclient (>= 1:1.6.0),
 python3-kombu,
 python3-lxml,
 python3-monotonic,
 python3-msgpack (>= 0.4.0),
 python3-mysqldb,
 python3-neutronclient (>= 1:4.2.0),
 python3-novaclient (>= 2:2.29.0),
 python3-os-xenapi,
 python3-oslo.concurrency (>= 3.5.0),
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.context (>= 0.2.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 2.0.0),
 python3-oslo.messaging (>= 5.12.0),
 python3-oslo.reports (>= 1.0.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.service (>= 1.0.0),
 python3-oslo.utils (>= 3.5.0),
 python3-oslo.vmware (>= 1.16.0),
 python3-pastedeploy,
 python3-pbr (>= 1.8),
 python3-pymongo,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests (>= 2.8.1),
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1.9.0),
 python3-swiftclient (>= 1:2.2.0),
 python3-tenacity (>= 3.2.1),
 python3-tooz (>= 1.47.0),
 python3-werkzeug,
 python3-yaml,
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/ceilometer/tags .*/(\d[\d\.]+)\.tar\.gz

## ceilometer 11.1.0

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 jsonpath-rw-ext>=0.1.9 # Apache-2.0
 lxml>=2.3 # BSD
 monotonic
-msgpack>=0.4.0 # Apache-2.0
+msgpack>=0.4.0,<1.0.0  # Apache-2.0
 oslo.concurrency>=3.5.0 # Apache-2.0
 oslo.config>=3.22.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0

=== debian/changelog ===
ceilometer (1:11.1.0-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * d/watch: Switch to tarballs.opendev.org.
  * New stable point release for OpenStack Rocky (LP: #1875462).
  * d/p/Only-print-polling.yaml-file-contents-as-DEBUG.patch: Dropped.
    Fixed in new stable point release.
  * d/p/add-loadbalancer-resource-type.patch: Dropped. Fixed in new
    stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 May 2020 15:07:38 -0400

ceilometer (1:11.0.1-0ubuntu2~cloud1) bionic-rocky; urgency=medium

  * d/p/add-loadbalancer-resource-type.patch: Enable load balancer metrics,
    allowing gnocchi to capture measurement data for octavia load balancers
    (LP: #1848286).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Nov 2019 09:49:18 -0500

ceilometer (1:11.0.1-0ubuntu2~cloud0) bionic-rocky; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 31 Jan 2019 23:45:08 +0000

ceilometer (1:11.0.1-0ubuntu2) cosmic; urgency=medium

  * Backport fix to only log polling.yaml contents as DEBUG (LP: #1811098)
    - d/p/Only-print-polling.yaml-file-contents-as-DEBUG.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Fri, 11 Jan 2019 18:14:54 +0000

ceilometer (1:11.0.1-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1806049).
  * d/control: Ensure min version of python-pysnmp4 picks up consistent
    version (LP: #1806474).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Dec 2018 12:20:33 -0500

ceilometer (1:11.0.0-0ubuntu2) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control: All common files are installed by ceilometer-common. Only have
      python(3)-ceilometer depend on ceilometer-common. Other packages that used to
      depend on ceilometer-common now depend on python-ceilometer | python3-ceilometer.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Aug 2018 11:59:41 -0400

ceilometer (1:11.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Enable autopkgtest-pkg-python testsuite.
  * d/tests/*: Enable Py3 tests for daemons and add shebang tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 13:22:17 -0400

ceilometer (1:10.0.1-0ubuntu1) cosmic; urgency=medium

  * New upstream point release.
  * Add Python 3 support:
    - d/control: Add Build-Depends for py3.
    - d/control: Add python3-ceilometer packages.
    - d/control: Deal with binary moves to python{3}-ceilometer packages.
    - d/rules: Use pkgos-dh_auto_install, enable python3 dh.
    - d/python{3}-ceilometer.{postinst,preinst,prerm}: Manage binaries
      using alternatives.

 -- James Page <james.page@ubuntu.com>  Mon, 25 Jun 2018 11:21:02 +0100

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 1.6),
 python-setuptools,
 python3-all,
 python3-pbr (>= 1.6),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-awsauth (>= 0.1.4),
 python-cachetools (>= 1.1.0),
 python-cinderclient (>= 1:1.6.0),
 python-concurrent.futures (>= 3.0),
 python-cotyledon (>= 1.3.0),
 python-coverage (>= 3.6),
 python-croniter,
 python-dateutil (>= 2.4.2),
 python-debtcollector (>= 1.2.0),
 python-fixtures (>= 1.3.1),
 python-futurist (>= 0.11.0),
 python-gabbi (>= 1.30.0),
 python-glanceclient (>= 1:2.0.0),
 python-gnocchiclient (>= 4.0.0),
 python-jsonpath-rw-ext (>= 0.1.9),
 python-kafka (>= 1.3.2),
 python-keystoneauth1 (>= 2.1.0),
 python-keystoneclient (>= 1:1.6.0),
 python-lxml (>= 2.3),
 python-mock (>= 1.2),
 python-monotonic,
 python-msgpack (>= 0.4.0),
 python-neutronclient (>= 1:4.2.0),
 python-novaclient (>= 2:2.29.0),
 python-openssl (>= 0.14),
 python-openstackdocstheme (>= 1.11.0),
 python-os-testr (>= 1.0.0),
 python-os-win (>= 0.2.3),
 python-os-xenapi (>= 0.1.1),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.5.0),
 python-oslo.config (>= 1:3.22.0),
 python-oslo.i18n (>= 2.1.0),
 python-oslo.log (>= 1.14.0),
 python-oslo.messaging (>= 5.12.0),
 python-oslo.reports (>= 0.6.0),
 python-oslo.rootwrap (>= 2.0.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.5.0),
 python-oslo.vmware (>= 1.16.0),
 python-oslotest (>= 1:2.15.0),
 python-pysnmp4 (>= 4.4.6+repack1-0ubuntu0.18.10.1~),
 python-requests (>= 2.8.1),
 python-six (>= 1.9.0),
 python-stestr (>= 1.0.0),
 python-stevedore (>= 1:1.9.0),
 python-swiftclient (>= 1:2.2.0),
 python-tempest (>= 1:14.0.0),
 python-tenacity (>= 3.2.1),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 1.4.0),
 python-tooz (>= 1.47.0),
 python-yaml (>= 3.1.0),
 python-zaqarclient (>= 1.0.0),
 python3-awsauth (>= 0.1.4),
 python3-cachetools (>= 1.1.0),
 python3-cinderclient (>= 1:1.6.0),
 python3-cotyledon (>= 1.3.0),
 python3-coverage (>= 3.6),
 python3-croniter,
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 1.3.1),
 python3-futurist (>= 0.11.0),
 python3-gabbi (>= 1.30.0),
 python3-glanceclient (>= 1:2.0.0),
 python3-gnocchiclient (>= 4.0.0),
 python3-jsonpath-rw-ext (>= 0.1.9),
 python3-kafka (>= 1.3.2),
 python3-keystoneauth1 (>= 2.1.0),
 python3-keystoneclient (>= 1:1.6.0),
 python3-lxml (>= 2.3),
 python3-mock (>= 1.2),
 python3-monotonic,
 python3-msgpack (>= 0.4.0),
 python3-neutronclient (>= 1:4.2.0),
 python3-novaclient (>= 2:2.29.0),
 python3-openssl (>= 0.14),
 python3-openstackdocstheme (>= 1.11.0),
 python3-os-testr (>= 1.0.0),
 python3-os-win (>= 0.2.3),
 python3-os-xenapi (>= 0.1.1),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.5.0),
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 1.14.0),
 python3-oslo.messaging (>= 5.12.0),
 python3-oslo.reports (>= 0.6.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.5.0),
 python3-oslo.vmware (>= 1.16.0),
 python3-oslotest (>= 1:2.15.0),
 python3-pysnmp4 (>= 4.4.6+repack1-0ubuntu0.18.10.1~),
 python3-reno (>= 1.6.2),
 python3-requests (>= 2.8.1),
 python3-six (>= 1.9.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.9.0),
 python3-swiftclient (>= 1:2.2.0),
 python3-tempest (>= 1:14.0.0),
 python3-tenacity (>= 3.2.1),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 1.4.0),
 python3-tooz (>= 1.47.0),
 python3-yaml (>= 3.1.0),
 python3-zaqarclient (>= 1.0.0),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
Testsuite: autopkgtest-pkg-python

Package: ceilometer-agent-central
Architecture: all
Depends:
 python-ceilometer (= ${binary:Version}) | python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 python-ceilometer (= ${binary:Version}) | python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ipmitool,
 python-ceilometer (= ${binary:Version}) | python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 python-ceilometer (= ${binary:Version}) | python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

Package: ceilometer-polling
Architecture: all
Depends:
 python-ceilometer (= ${binary:Version}) | python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python-ceilometer
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 python-cachetools (>= 1.1.0),
 python-cinderclient (>= 1:1.6.0),
 python-concurrent.futures (>= 3.0),
 python-cotyledon (>= 1.3.0),
 python-croniter,
 python-dateutil (>= 2.4.2),
 python-debtcollector (>= 1.2.0),
 python-futurist (>= 0.11.0),
 python-glanceclient (>= 1:2.0.0),
 python-jsonpath-rw-ext (>= 0.1.9),
 python-keystoneauth1 (>= 2.1.0),
 python-keystoneclient (>= 1:1.6.0),
 python-libvirt,
 python-lxml (>= 2.3),
 python-monotonic,
 python-msgpack (>= 0.4.0),
 python-neutronclient (>= 1:4.2.0),
 python-novaclient (>= 2:2.29.0),
 python-os-xenapi (>= 0.1.1),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.5.0),
 python-oslo.config (>= 1:3.22.0),
 python-oslo.i18n (>= 2.1.0),
 python-oslo.log (>= 1.14.0),
 python-oslo.messaging (>= 5.12.0),
 python-oslo.reports (>= 0.6.0),
 python-oslo.rootwrap (>= 2.0.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.5.0),
 python-pbr (>= 1.6),
 python-pysnmp4 (>= 4.4.6+repack1-0ubuntu0.18.10.1~),
 python-requests (>= 2.8.1),
 python-six (>= 1.9.0),
 python-stevedore (>= 1:1.9.0),
 python-swiftclient (>= 1:2.2.0),
 python-tenacity (>= 3.2.1),
 python-tooz (>= 1.47.0),
 python-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-gnocchiclient (>= 4.0.0),
 python-kafka (>= 1.3.2),
 python-zaqarclient (>= 1.0.0),
Breaks:
 ceilometer-agent-common (<< 1:10.0.1-0ubuntu1~),
 ceilometer-agent-notification (<< 1:10.0.1-0ubuntu1~),
Replaces:
 ceilometer-agent-common (<< 1:10.0.1-0ubuntu1~),
 ceilometer-agent-notification (<< 1:10.0.1-0ubuntu1~),
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python 2 module for ceilometer.

Package: python3-ceilometer
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 python3-cachetools (>= 1.1.0),
 python3-cinderclient (>= 1:1.6.0),
 python3-cotyledon (>= 1.3.0),
 python3-croniter,
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 0.11.0),
 python3-glanceclient (>= 1:2.0.0),
 python3-jsonpath-rw-ext (>= 0.1.9),
 python3-keystoneauth1 (>= 2.1.0),
 python3-keystoneclient (>= 1:1.6.0),
 python3-libvirt,
 python3-lxml (>= 2.3),
 python3-monotonic,
 python3-msgpack (>= 0.4.0),
 python3-neutronclient (>= 1:4.2.0),
 python3-novaclient (>= 2:2.29.0),
 python3-os-xenapi (>= 0.1.1),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.5.0),
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 1.14.0),
 python3-oslo.messaging (>= 5.12.0),
 python3-oslo.reports (>= 0.6.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.5.0),
 python3-pbr (>= 1.6),
 python3-pysnmp4 (>= 4.4.6+repack1-0ubuntu0.18.10.1~),
 python3-requests (>= 2.8.1),
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1:1.9.0),
 python3-swiftclient (>= 1:2.2.0),
 python3-tenacity (>= 3.2.1),
 python3-tooz (>= 1.47.0),
 python3-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-gnocchiclient (>= 4.0.0),
 python3-kafka (>= 1.3.2),
 python3-zaqarclient (>= 1.0.0),
Breaks:
 ceilometer-agent-common (<< 1:10.0.1-0ubuntu1~),
 ceilometer-agent-notification (<< 1:10.0.1-0ubuntu1~),
Replaces:
 ceilometer-agent-common (<< 1:10.0.1-0ubuntu1~),
 ceilometer-agent-notification (<< 1:10.0.1-0ubuntu1~),
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)
export HOME="$(CURDIR)/debian/test"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,python3,systemd

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHON=python OS_TEST_PATH=./ceilometer/tests/unit ostestr --blacklist-file=$(CURDIR)/debian/test-blacklist.txt
	PYTHON=python3 OS_TEST_PATH=./ceilometer/tests/unit ostestr --blacklist-file=$(CURDIR)/debian/test-blacklist.txt
endif

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/ceilometer/ceilometer-config-generator.conf
	rm -rf $(CURDIR)/debian/python*-ceilometer/usr/etc
	dh_install

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/ceilometer/ceilometer.conf etc/ceilometer/ceilometer.conf.sample
	rm -rf .testrepository .stestr
	rm -rf pbr*.egg
	rm -f debian/*.init debian/*.service debian/*.upstart

=== debian/tests/control ===
Tests: test-services ceilometer-shebangs-py3
Depends: python3-ceilometer, ceilometer-common, ceilometer-agent-compute,
 ceilometer-agent-central, ceilometer-agent-ipmi, ceilometer-agent-notification,
 ceilometer-polling, rabbitmq-server, python-libvirt, libvirt-daemon-system

Tests: test-services ceilometer-shebangs-py2
Depends: ceilometer-common, ceilometer-agent-compute, ceilometer-agent-central,
 ceilometer-agent-ipmi, ceilometer-agent-notification, ceilometer-polling,
 rabbitmq-server, python-libvirt, libvirt-daemon-system

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ceilometer ceilometer-(\d.*)\.tar\.gz

## ceilometer 12.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,11 +6,10 @@
 cotyledon>=1.3.0 #Apache-2.0
 futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
 futurist>=0.11.0 # Apache-2.0
-debtcollector>=1.2.0 # Apache-2.0
 jsonpath-rw-ext>=0.1.9 # Apache-2.0
 lxml>=2.3 # BSD
 monotonic
-msgpack>=0.4.0,<1.0.0  # Apache-2.0
+msgpack>=0.4.0 # Apache-2.0
 oslo.concurrency>=3.5.0 # Apache-2.0
 oslo.config>=3.22.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
@@ -18,7 +17,7 @@
 oslo.reports>=0.6.0 # Apache-2.0
 oslo.rootwrap>=2.0.0 # Apache-2.0
 pbr>=1.6 # Apache-2.0
-oslo.messaging>=5.12.0 # Apache-2.0
+oslo.messaging!=9.0.0,>=5.12.0 # Apache-2.0
 oslo.utils>=3.5.0 # Apache-2.0
 pysnmp<5.0.0,>=4.2.3 # BSD
 python-glanceclient>=2.0.0 # Apache-2.0

=== debian/changelog ===
ceilometer (1:12.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 08:41:19 +0100

ceilometer (1:12.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Track 12.x series.
  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:17:33 +0000

ceilometer (1:12.0.0~b1~git2019031315.062e02c6-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 15:45:48 -0400

ceilometer (1:12.0.0~b1~git2019013040.ce2ac3df-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/p/*: Drop, included upstream.
  * d/control: Align with required kafka driver.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:41:40 +0000

ceilometer (1:12.0.0~b1~git2018111615.da95ab99-0ubuntu2) disco; urgency=medium

  * Backport fix to only log polling.yaml contents as DEBUG (LP: #1811098)
    - d/p/Only-print-polling.yaml-file-contents-as-DEBUG.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Fri, 11 Jan 2019 11:54:23 +0000

ceilometer (1:12.0.0~b1~git2018111615.da95ab99-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control, d/rules, d/python(3)-ceilometer.*, d/tests/*,
    d/pydist-overrides: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Nov 2018 15:31:00 -0500

ceilometer (1:11.0.0-0ubuntu3) disco; urgency=medium

  * d/tests/ceilometer-shebangs-py3: Update shebang for Python 3.7.
 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:57:16 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper (>= 10~),
  dh-python,
- openstack-pkg-tools (>= 23~),
+ openstack-pkg-tools (>= 85ubuntu3~),
  python-all,
  python-pbr (>= 1.6),
  python-setuptools,
@@ -14,64 +14,10 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-awsauth (>= 0.1.4),
- python-cachetools (>= 1.1.0),
- python-cinderclient (>= 1:1.6.0),
- python-concurrent.futures (>= 3.0),
- python-cotyledon (>= 1.3.0),
- python-coverage (>= 3.6),
- python-croniter,
- python-dateutil (>= 2.4.2),
- python-debtcollector (>= 1.2.0),
- python-fixtures (>= 1.3.1),
- python-futurist (>= 0.11.0),
- python-gabbi (>= 1.30.0),
- python-glanceclient (>= 1:2.0.0),
- python-gnocchiclient (>= 4.0.0),
- python-jsonpath-rw-ext (>= 0.1.9),
- python-kafka (>= 1.3.2),
- python-keystoneauth1 (>= 2.1.0),
- python-keystoneclient (>= 1:1.6.0),
- python-lxml (>= 2.3),
- python-mock (>= 1.2),
- python-monotonic,
- python-msgpack (>= 0.4.0),
- python-neutronclient (>= 1:4.2.0),
- python-novaclient (>= 2:2.29.0),
- python-openssl (>= 0.14),
- python-openstackdocstheme (>= 1.11.0),
- python-os-testr (>= 1.0.0),
- python-os-win (>= 0.2.3),
- python-os-xenapi (>= 0.1.1),
- python-oslo.cache (>= 1.26.0),
- python-oslo.concurrency (>= 3.5.0),
- python-oslo.config (>= 1:3.22.0),
- python-oslo.i18n (>= 2.1.0),
- python-oslo.log (>= 1.14.0),
- python-oslo.messaging (>= 5.12.0),
- python-oslo.reports (>= 0.6.0),
- python-oslo.rootwrap (>= 2.0.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.utils (>= 3.5.0),
- python-oslo.vmware (>= 1.16.0),
- python-oslotest (>= 1:2.15.0),
- python-pysnmp4 (>= 4.4.6+repack1-0ubuntu0.18.10.1~),
- python-requests (>= 2.8.1),
- python-six (>= 1.9.0),
- python-stestr (>= 1.0.0),
- python-stevedore (>= 1:1.9.0),
- python-swiftclient (>= 1:2.2.0),
- python-tempest (>= 1:14.0.0),
- python-tenacity (>= 3.2.1),
- python-testrepository (>= 0.0.18),
- python-testscenarios (>= 0.4),
- python-testtools (>= 1.4.0),
- python-tooz (>= 1.47.0),
- python-yaml (>= 3.1.0),
- python-zaqarclient (>= 1.0.0),
  python3-awsauth (>= 0.1.4),
  python3-cachetools (>= 1.1.0),
  python3-cinderclient (>= 1:1.6.0),
+ python3-confluent-kafka (>= 0.11.0),
  python3-cotyledon (>= 1.3.0),
  python3-coverage (>= 3.6),
  python3-croniter,
@@ -83,7 +29,6 @@
  python3-glanceclient (>= 1:2.0.0),
  python3-gnocchiclient (>= 4.0.0),
  python3-jsonpath-rw-ext (>= 0.1.9),
- python3-kafka (>= 1.3.2),
  python3-keystoneauth1 (>= 2.1.0),
  python3-keystoneclient (>= 1:1.6.0),
  python3-lxml (>= 2.3),
@@ -109,7 +54,7 @@
  python3-oslo.utils (>= 3.5.0),
  python3-oslo.vmware (>= 1.16.0),
  python3-oslotest (>= 1:2.15.0),
- python3-pysnmp4 (>= 4.4.6+repack1-0ubuntu0.18.10.1~),
+ python3-pysnmp4 (>= 4.2.3),
  python3-reno (>= 1.6.2),
  python3-requests (>= 2.8.1),
  python3-six (>= 1.9.0),
@@ -132,7 +77,7 @@
 Package: ceilometer-agent-central
 Architecture: all
 Depends:
- python-ceilometer (= ${binary:Version}) | python3-ceilometer (= ${binary:Version}),
+ python3-ceilometer (= ${binary:Version}),
  ${misc:Depends},
 Description: ceilometer central agent
  Ceilometer aims to deliver a unique point of contact for billing systems to
@@ -149,7 +94,7 @@
 Package: ceilometer-agent-compute
 Architecture: all
 Depends:
- python-ceilometer (= ${binary:Version}) | python3-ceilometer (= ${binary:Version}),
+ python3-ceilometer (= ${binary:Version}),
  ${misc:Depends},
 Description: ceilometer compute agent
  Ceilometer aims to deliver a unique point of contact for billing systems to
@@ -167,7 +112,7 @@
 Architecture: all
 Depends:
  ipmitool,
- python-ceilometer (= ${binary:Version}) | python3-ceilometer (= ${binary:Version}),
+ python3-ceilometer (= ${binary:Version}),
  ${misc:Depends},
 Description: ceilometer ipmi agent
  Ceilometer aims to deliver a unique point of contact for billing systems to
@@ -184,7 +129,7 @@
 Package: ceilometer-agent-notification
 Architecture: all
 Depends:
- python-ceilometer (= ${binary:Version}) | python3-ceilometer (= ${binary:Version}),
+ python3-ceilometer (= ${binary:Version}),
  ${misc:Depends},
 Description: ceilometer notification agent
  Ceilometer aims to deliver a unique point of contact for billing systems to
@@ -198,10 +143,39 @@
  .
  This package contains the notification agent.
 
+Package: ceilometer-common
+Architecture: all
+Depends:
+ adduser,
+ ${misc:Depends},
+Breaks:
+ ceilometer-agent-central (<< 1:11.0.0-0ubuntu2~),
+ ceilometer-agent-compute (<< 1:11.0.0-0ubuntu2~),
+ ceilometer-agent-ipmi (<< 1:11.0.0-0ubuntu2~),
+ ceilometer-agent-notification (<< 1:11.0.0-0ubuntu2~),
+ ceilometer-polling (<< 1:11.0.0-0ubuntu2~),
+Replaces:
+ ceilometer-agent-central (<< 1:11.0.0-0ubuntu2~),
+ ceilometer-agent-compute (<< 1:11.0.0-0ubuntu2~),
+ ceilometer-agent-ipmi (<< 1:11.0.0-0ubuntu2~),
+ ceilometer-agent-notification (<< 1:11.0.0-0ubuntu2~),
+ ceilometer-polling (<< 1:11.0.0-0ubuntu2~),
+Description: ceilometer common files
+ Ceilometer aims to deliver a unique point of contact for billing systems to
+ acquire all counters they need to establish customer billing, across all
+ current and future OpenStack components. The delivery of counters must
+ be traceable and auditable, the counters must be easily extensible to support
+ new projects, and agents doing data collections should be
+ independent of the overall system.
+ .
+ (A ceilometer is an instrument that measures cloud coverage.)
+ .
+ This package contains files that are needed for all parts of ceilometer
+
 Package: ceilometer-polling
 Architecture: all
 Depends:
- python-ceilometer (= ${binary:Version}) | python3-ceilometer (= ${binary:Version}),
+ python3-ceilometer (= ${binary:Version}),
  ${misc:Depends},
 Description: ceilometer polling service
  Ceilometer aims to deliver a unique point of contact for billing systems to
@@ -214,72 +188,6 @@
  (A ceilometer is an instrument that measures cloud coverage.)
  .
  This package contains the polling service.
-
-Package: python-ceilometer
-Architecture: all
-Depends:
- ceilometer-common (= ${binary:Version}),
- python-cachetools (>= 1.1.0),
- python-cinderclient (>= 1:1.6.0),
- python-concurrent.futures (>= 3.0),
- python-cotyledon (>= 1.3.0),
- python-croniter,
- python-dateutil (>= 2.4.2),
- python-debtcollector (>= 1.2.0),
- python-futurist (>= 0.11.0),
- python-glanceclient (>= 1:2.0.0),
- python-jsonpath-rw-ext (>= 0.1.9),
- python-keystoneauth1 (>= 2.1.0),
- python-keystoneclient (>= 1:1.6.0),
- python-libvirt,
- python-lxml (>= 2.3),
- python-monotonic,
- python-msgpack (>= 0.4.0),
- python-neutronclient (>= 1:4.2.0),
- python-novaclient (>= 2:2.29.0),
- python-os-xenapi (>= 0.1.1),
- python-oslo.cache (>= 1.26.0),
- python-oslo.concurrency (>= 3.5.0),
- python-oslo.config (>= 1:3.22.0),
- python-oslo.i18n (>= 2.1.0),
- python-oslo.log (>= 1.14.0),
- python-oslo.messaging (>= 5.12.0),
- python-oslo.reports (>= 0.6.0),
- python-oslo.rootwrap (>= 2.0.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.utils (>= 3.5.0),
- python-pbr (>= 1.6),
- python-pysnmp4 (>= 4.4.6+repack1-0ubuntu0.18.10.1~),
- python-requests (>= 2.8.1),
- python-six (>= 1.9.0),
- python-stevedore (>= 1:1.9.0),
- python-swiftclient (>= 1:2.2.0),
- python-tenacity (>= 3.2.1),
- python-tooz (>= 1.47.0),
- python-yaml (>= 3.1.0),
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-gnocchiclient (>= 4.0.0),
- python-kafka (>= 1.3.2),
- python-zaqarclient (>= 1.0.0),
-Breaks:
- ceilometer-agent-common (<< 1:10.0.1-0ubuntu1~),
- ceilometer-agent-notification (<< 1:10.0.1-0ubuntu1~),
-Replaces:
- ceilometer-agent-common (<< 1:10.0.1-0ubuntu1~),
- ceilometer-agent-notification (<< 1:10.0.1-0ubuntu1~),
-Description: ceilometer python libraries
- Ceilometer aims to deliver a unique point of contact for billing systems to
- acquire all counters they need to establish customer billing, across all
- current and future OpenStack components. The delivery of counters must
- be traceable and auditable, the counters must be easily extensible to support
- new projects, and agents doing data collections should be
- independent of the overall system.
- .
- (A ceilometer is an instrument that measures cloud coverage.)
- .
- This package contains the Python 2 module for ceilometer.
 
 Package: python3-ceilometer
 Architecture: all
@@ -314,7 +222,7 @@
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.5.0),
  python3-pbr (>= 1.6),
- python3-pysnmp4 (>= 4.4.6+repack1-0ubuntu0.18.10.1~),
+ python3-pysnmp4 (>= 4.2.3),
  python3-requests (>= 2.8.1),
  python3-six (>= 1.9.0),
  python3-stevedore (>= 1:1.9.0),
@@ -344,3 +252,4 @@
  .
  (A ceilometer is an instrument that measures cloud coverage.)
  .
+ This package contains the Python 3 module for ceilometer.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/ceilometer ceilometer-(12\..*)\.tar\.gz

## ceilometer 12.1.1

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 jsonpath-rw-ext>=0.1.9 # Apache-2.0
 lxml>=2.3 # BSD
 monotonic
-msgpack>=0.4.0 # Apache-2.0
+msgpack>=0.4.0,<1.0.0  # Apache-2.0
 oslo.concurrency>=3.5.0 # Apache-2.0
 oslo.config>=3.22.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
@@ -18,6 +18,7 @@
 oslo.rootwrap>=2.0.0 # Apache-2.0
 pbr>=1.6 # Apache-2.0
 oslo.messaging!=9.0.0,>=5.12.0 # Apache-2.0
+oslo.upgradecheck>=0.1.1 # Apache-2.0
 oslo.utils>=3.5.0 # Apache-2.0
 pysnmp<5.0.0,>=4.2.3 # BSD
 python-glanceclient>=2.0.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
reno>=2.5.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0

=== debian/changelog ===
ceilometer (1:12.1.1-0ubuntu1~cloud1) bionic-stein; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/ceilometer-agent-compute.service.in: Customize systemd unit to
    ensure nova-compute is started (LP: #1885430).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 11 Mar 2021 09:20:04 +0000

ceilometer (1:12.1.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1896478).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 21 Sep 2020 14:20:31 +0000

ceilometer (1:12.1.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New stable point release for OpenStack Stein (LP: #1871126).
  * d/p/add-loadbalancer-resource-type.patch: Dropped. Fixed in stable
    point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 12:36:40 -0400

ceilometer (1:12.0.0-0ubuntu1.1~cloud0) bionic-stein; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 29 Nov 2019 12:21:25 +0000

ceilometer (1:12.0.0-0ubuntu1.1) disco; urgency=medium

  * d/gbp.conf: Create stable/stein branch.
  * d/control: Add python-oslo.upgradecheck BD.
  * d/p/add-loadbalancer-resource-type.patch: Enable load balancer metrics,
    allowing gnocchi to capture measurement data for octavia load balancers
    (LP: #1848286).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Nov 2019 09:44:08 -0500

=== debian/control ===
--- 
+++ 
@@ -51,6 +51,7 @@
  python3-oslo.reports (>= 0.6.0),
  python3-oslo.rootwrap (>= 2.0.0),
  python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.upgradecheck (>= 0.1.1),
  python3-oslo.utils (>= 3.5.0),
  python3-oslo.vmware (>= 1.16.0),
  python3-oslotest (>= 1:2.15.0),
@@ -70,8 +71,8 @@
  python3-yaml (>= 3.1.0),
  python3-zaqarclient (>= 1.0.0),
 Standards-Version: 4.1.2
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ceilometer
+Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ceilometer
 Testsuite: autopkgtest-pkg-python
 
 Package: ceilometer-agent-central
@@ -220,6 +221,7 @@
  python3-oslo.reports (>= 0.6.0),
  python3-oslo.rootwrap (>= 2.0.0),
  python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.upgradecheck (>= 0.1.1),
  python3-oslo.utils (>= 3.5.0),
  python3-pbr (>= 1.6),
  python3-pysnmp4 (>= 4.2.3),

=== debian/rules ===
--- 
+++ 
@@ -11,19 +11,18 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with python2,python3,systemd
+	dh $@  --with python3,systemd
 
 get-orig-source:
 	uscan --verbose --force-download --rename --destdir=../build-area
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	PYTHON=python OS_TEST_PATH=./ceilometer/tests/unit ostestr --blacklist-file=$(CURDIR)/debian/test-blacklist.txt
 	PYTHON=python3 OS_TEST_PATH=./ceilometer/tests/unit ostestr --blacklist-file=$(CURDIR)/debian/test-blacklist.txt
 endif
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_install:
 	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/ceilometer/ceilometer-config-generator.conf

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ceilometer ceilometer-(12\..*)\.tar\.gz
